<?php
// Treu signes de puntuació
// Espais en blanc al principi i al final
// Passa el text a minúscula
// Treu els accents
function normalizeText($str) {

	$str = html_entity_decode($str,ENT_QUOTES,'cp1252');
	if (strpos($str, ' ')!==false) {
		$str=removeStopwords(' '.strtolower_utf8($str).' ');
	}
	$str=str_replace(array("l'","d'"),'',$str);
	$str = removeaccents(trim($str));
    $str=preg_replace("/[^A-Za-z0-9_ ]/",'',stripslashes($str));
	
	$str=substr(limit_words($str, 20),0,250); //Si la URL supera 276 caracters, peta
   	$str=str_replace(' ','-',$str);

    return $str;
}

//treu accents
function removeaccents($string){
    $table = array(
        'Š'=>'S', 'š'=>'s', 'Đ'=>'Dj', 'đ'=>'dj', 'Ž'=>'Z', 'ž'=>'z', 'Č'=>'C', 'č'=>'c', 'Ć'=>'C', 'ć'=>'c',
        'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E',
        'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O',
        'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U', 'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss',
        'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c', 'è'=>'e', 'é'=>'e',
        'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o',
        'ô'=>'o', 'õ'=>'o', 'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'ý'=>'y', 'þ'=>'b',
        'ÿ'=>'y', 'Ŕ'=>'R', 'ŕ'=>'r',
    );
   
    return strtr($string, $table);
}

function removeStopwords($string) {
		$stopwords = array('a','acá','ahí','ajena','ajenas','ajeno','ajenos','al','algo','algún','alguna','algunas',
		'alguno','algunos','allá','alli','allí','ambos','ampleamos','ante','antes','aquel','aquella',
		'aquellas','aquello','aquellos','aqui','aquí','arriba','asi','atras','aun','aunque','bajo','bastante','bien',
		'cabe','cada','casi','cierta','ciertas','cierto','ciertos','como','cómo','con','conmigo','conseguimos',
		'conseguir','consigo','consigue','consiguen','consigues','contigo','contra','cual','cuales','cualquier',
		'cualquiera','cualquieras','cuan','cuán','cuando','cuanta','cuánta','cuantas','cuántas','cuanto','cuánto',
		'cuantos','cuántos','de','dejar','del','demás','demas','demasiada','demasiadas','demasiado','demasiados',
		'dentro','desde','donde','dos','el','él','ella','ellas','ello','ellos','empleais','emplean','emplear',
		'empleas','empleo','en','encima','entonces','entre','era','eramos','eran','eras','eres','es','esa','esas',
		'ese','eso','esos','esta','estaba','estado','estais','estamos','estan','estar','estas','este','esto','estos',
		'estoy','etc','fin','fue','fueron','fui','fuimos','gueno','ha','hace','haceis','hacemos','hacen','hacer',
		'haces','hacia','hago','hasta','incluso','intenta','intentais','intentamos','intentan','intentar','intentas',
		'intento','ir','jamás','junto','juntos','la','largo','las','lo','los','mas','más','me','menos','mi','mía',
		'mia','mias','mientras','mio','mío','mios','mis','misma','mismas','mismo','mismos','modo','mucha','muchas',
		'muchísima','muchísimas','muchísimo','muchísimos','mucho','muchos','muy','nada','ni','ningun','ninguna',
		'ningunas','ninguno','ningunos','no','nos','nosotras','nosotros','nuestra','nuestras','nuestro','nuestros',
		'nunca','os','otra','otras','otro','otros','para','parecer','pero','poca','pocas','poco','pocos','podeis',
		'podemos','poder','podria','podriais','podriamos','podrian','podrias','por','por qué','porque','primero',
		'primero desde','puede','pueden','puedo','pues','que','qué','querer','quien','quién','quienes','quienesquiera',
		'quienquiera','quiza','quizas','sabe','sabeis','sabemos','saben','saber','sabes','se','segun','ser','si','sí',
		'siempre','siendo','sin','sín','sino','so','sobre','sois','solamente','solo','somos','soy','sr','sra','sres',
		'sta','su','sus','suya','suyas','suyo','suyos','tal','tales','también','tambien','tampoco','tan','tanta',
		'tantas','tanto','tantos','te','teneis','tenemos','tener','tengo','ti','tiempo','tiene','tienen','toda',
		'todas','todo','todos','tomar','trabaja','trabajais','trabajamos','trabajan','trabajar','trabajas','trabajo',
		'tras','tú','tu','tus','tuya','tuyo','tuyos','ultimo','un','una','unas','uno','unos','usa','usais','usamos',
		'usan','usar','usas','uso','usted','ustedes','va','vais','valor','vamos','van','varias','varios','vaya',
		'verdad','verdadera','vosotras','vosotros','voy','vuestra','vuestras','vuestro','vuestros','y','ya','yo',
		
		'i','les','per'
		);
	$num = sizeof($stopwords);
	for ($i = 0; $i < $num; $i++) {
		$string = str_replace(' '.$stopwords[$i].' ',' ',$string);
	}
	
	$string = str_replace('  ',' ',$string);
	return trim($string);
}

function strtolower_utf8($string){
  $convert_to = array(
    "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u",
    "v", "w", "x", "y", "z", "à", "á", "â", "ã", "ä", "å", "æ", "ç", "è", "é", "ê", "ë", "ì", "í", "î", "ï",
    "ð", "ñ", "ò", "ó", "ô", "õ", "ö", "ø", "ù", "ú", "û", "ü", "ý", "а", "б", "в", "г", "д", "е", "ё", "ж",
    "з", "и", "й", "к", "л", "м", "н", "о", "п", "р", "с", "т", "у", "ф", "х", "ц", "ч", "ш", "щ", "ъ", "ы",
    "ь", "э", "ю", "я"
  );
  $convert_from = array(
    "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U",
    "V", "W", "X", "Y", "Z", "À", "Á", "Â", "Ã", "Ä", "Å", "Æ", "Ç", "È", "É", "Ê", "Ë", "Ì", "Í", "Î", "Ï",
    "Ð", "Ñ", "Ò", "Ó", "Ô", "Õ", "Ö", "Ø", "Ù", "Ú", "Û", "Ü", "Ý", "А", "Б", "В", "Г", "Д", "Е", "Ё", "Ж",
    "З", "И", "Й", "К", "Л", "М", "Н", "О", "П", "Р", "С", "Т", "У", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ъ", "Ъ",
    "Ь", "Э", "Ю", "Я"
  );

  return str_replace($convert_from, $convert_to, $string);
} 

function limit_words($string, $word_limit){
	$words = explode(" ",$string);
	return implode(" ",array_splice($words,0,$word_limit));
}
?>