SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de dades: `xat`
--
CREATE DATABASE `xat` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `xat`;

-- --------------------------------------------------------

--
-- Estructura de la taula `aules`
--

CREATE TABLE IF NOT EXISTS `aules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL,
  `carpeta` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Bolcant dades de la taula `aules`
--

INSERT INTO `aules` (`id`, `nom`, `carpeta`) VALUES
(1, 'TFC-Aplic. web treb. col. aula 1', 'tfcaplic-web-treb-col-aula-1'),
(2, 'TFC-Aplic. web treb. col. aula 2', 'tfcaplic-web-treb-col-aula-2'),
(3, 'IAG - INFORMÀTICA APLICADA A LA GESTIÓ - Aula 1', 'iag--informatica-aplicada-gestio--aula-1'),
(5, 'TFC-Aplic. web treb. col. aula 3', 'tfcaplic-web-treb-col-aula-3');

-- --------------------------------------------------------

--
-- Estructura de la taula `sales`
--

CREATE TABLE IF NOT EXISTS `sales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_aula` int(11) NOT NULL,
  `nom` varchar(255) NOT NULL,
  `fitxer` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Bolcant dades de la taula `sales`
--

INSERT INTO `sales` (`id`, `id_aula`, `nom`, `fitxer`) VALUES
(1, 1, 'Reunió PAC1', 'reunio-pac-1'),
(2, 3, 'PAC 1', 'pac-1'),
(3, 3, 'PAC 2', 'pac-2'),
(4, 3, 'PAC 3', 'pac-3'),
(5, 3, 'PAC 4', 'pac-4'),
(8, 3, 'PAC 5', 'pac-5'),
(12, 1, '1ª Reunió virtual', '1-reunio-virtual');

-- --------------------------------------------------------

--
-- Estructura de la taula `usuaris`
--

CREATE TABLE IF NOT EXISTS `usuaris` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rol` tinyint(4) NOT NULL,
  `email` varchar(255) NOT NULL,
  `usuari` varchar(255) NOT NULL,
  `contrasenya` varchar(255) NOT NULL,
  `color` varchar(6) NOT NULL,
  `dataAlta` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Bolcant dades de la taula `usuaris`
--

INSERT INTO `usuaris` (`id`, `rol`, `email`, `usuari`, `contrasenya`, `color`, `dataAlta`) VALUES
(1, 0, 'omateur@uoc.edu', 'omateur', 'e8f7d2c8a7953af63b5ed8ba572609e3', 'D4550B', '2012-01-09 21:33:29'),
(2, 2, 'admin1@uoc.edu', 'admin1', 'e00cf25ad42683b3df678c61f42c6bda', '008080', '2012-01-09 21:34:02'),
(3, 1, 'root@uoc.edu', 'root', '63a9f0ea7bb98050796b649e85481845', 'FF00FF', '2012-01-07 19:09:43'),
(7, 0, 'usuari1@uoc.edu', 'usuari1', 'f60b4a23d137914046a32631e4ad0bb6', 'AAFFAA', '2012-01-09 21:33:35'),
(8, 1, 'superusuari@uoc.edu', 'superusuari', '8cbe3865e86710458d2eb8563f762117', 'FF0000', '2012-01-09 21:33:54'),
(9, 0, 'usuari2@uoc.edu', 'usuari2', '88aa9bb524e709a3382ede309ef7d027', 'FFFF00', '2012-01-09 21:33:41'),
(10, 0, 'usuari3@uoc.edu', 'usuari3', 'e8287cc15d7a3035de00ccf6c83aa717', 'DD00FF', '2012-01-09 21:33:47');

-- --------------------------------------------------------

--
-- Estructura de la taula `usuaris_aules`
--

CREATE TABLE IF NOT EXISTS `usuaris_aules` (
  `id_usuari` int(11) NOT NULL,
  `id_aula` int(11) NOT NULL,
  PRIMARY KEY (`id_usuari`,`id_aula`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `usuaris_aules`
--

INSERT INTO `usuaris_aules` (`id_usuari`, `id_aula`) VALUES
(1, 1),
(1, 3),
(2, 3),
(7, 3),
(9, 1),
(9, 3),
(10, 2),
(10, 3),
(10, 5);

-- --------------------------------------------------------

--
-- Estructura de la taula `usuaris_connectats`
--

CREATE TABLE IF NOT EXISTS `usuaris_connectats` (
  `id_usuari` int(11) NOT NULL,
  `id_sala` int(11) NOT NULL,
  `ultim_acces` datetime NOT NULL,
  PRIMARY KEY (`id_usuari`,`id_sala`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Bolcant dades de la taula `usuaris_connectats`
--

INSERT INTO `usuaris_connectats` (`id_usuari`, `id_sala`, `ultim_acces`) VALUES
(9, 2, '2012-01-08 19:07:58');
